;(function(){
  $(document).ready(function(){
    var sawmillLink = document.location.search + document.location.hash;
    var sawmillPrefix = '?sawmill=';

    if (sawmillLink.indexOf(sawmillPrefix) == 0) {
      sawmillLink = sawmillLink.replace(sawmillPrefix, '');
      $('#jira-description').val("Add details for IDs, GUIDs, timeframe, queries, ...\n\n" + sawmillLink);
    }

    $('.alert-box').each(function(){
      var $this = $(this);
      setTimeout(function(){
        $this.slideUp();
      }, 10000);
    });

    $.get('/room', function(dates){
      $('#jira-datepicker').show().datepicker({
        minDate: new Date(),
        dateFormat: 'yy-mm-dd',
        constrainInput: true,
        beforeShowDay: function(date) {
          date = date.toString('yyyy-MM-dd')
          var room = dates[date];
          if (room === undefined) room = false;
          return [ room ];
        }
      });
    });
  });
})();