#!/usr/bin/sh
jira_user="$1"
jira_pass="$2"
email_to="$3"
email_summary=/tmp/opsask-$(date +%s).txt
ruby opsask-generate-email-summary.rb $jira_user $jira_pass > $email_summary
if [ -s $email_summary ] ; then
  echo 'Sending out daily summary'
  cat $email_summary | mail -a 'From: noreply@opsask.bjn.io' -a 'Content-Type: text/html' -s "OpsAsk Summary for $(date '+%B %-d')" $email_to
else
  echo 'Nothing to send'
fi
rm -rf $email_summary
